X
Tocca qui per la versione per piattaforma mobile del sito.

Forum di supporto

Questa discussione è archiviata. Inserire una nuova richiesta se occorre aiuto.

I get error code: SSL_ERROR_RX_RECORD_TOO_LONG for gmail . It does not happen on another browser.

Inserita

Secure Connection Failed

An error occurred during a connection to gmail.com. SSL received a record that exceeded the maximum permissible length. Error code: SSL_ERROR_RX_RECORD_TOO_LONG

   The page you are trying to view cannot be shown because the authenticity of the received data could not be verified.
   Please contact the website owners to inform them of this problem.
Secure Connection Failed An error occurred during a connection to gmail.com. SSL received a record that exceeded the maximum permissible length. Error code: SSL_ERROR_RX_RECORD_TOO_LONG The page you are trying to view cannot be shown because the authenticity of the received data could not be verified. Please contact the website owners to inform them of this problem.

Soluzione scelta

What security software do you have?

It is possible that your security software has a problem with TLS 1.3 that might have been enabled in your Firefox version. You can try to modify the value this pref from 4 to 3 on the about:config page.

  • security.tls.version.max = 3

You can open the about:config page via the location/address bar. You can accept the warning and click "I accept the risk!" to continue.

Leggere questa risposta nel contesto 1

Dettagli aggiuntivi sul sistema

Plugin installati

  • Shockwave Flash 29.0 r0
  • Shockwave Flash 30.0 r0

Applicazione

  • User Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:61.0) Gecko/20100101 Firefox/61.0

Ulteriori informazioni

FredMcD
  • Top 10 Contributor
4249 soluzioni 59438 risposte

Separate Issue; Your System Details shows;

Installed Plug-ins

Shockwave Flash 29.0 r0 Shockwave Flash 30.0 r0
Having more than one version of a program may cause issues. You must remove the older programs. Then get the current full installer.

Flash: Grab the uninstaller from here:

http://helpx.adobe.com/flash-player/kb/uninstall-flash-player-windows.html Uninstall Flash Player | Windows

http://helpx.adobe.com/flash-player/kb/uninstall-flash-player-mac-os.html Uninstall Flash Player | Mac

Then reinstall the latest version.

Note: Windows users should download the active_x for Internet Explorer. and the plugin for Plugin-based browsers (like Firefox).

Note: Windows 8 and Windows 10 have built-in flash players and Adobe will cause a conflict. Install the plugin only. Not the active_x.

Flash Player Version 30.0.0.113

https://get.adobe.com/flashplayer/ Direct link scans current system and browser Note: Other software is offered in the download. <Windows Only>

https://get.adobe.com/flashplayer/otherversions/ Step 1: Select Operating System Step 2: Select A Version (Firefox, Win IE . . . .) Note: Other software is offered in the download. <Windows Only>


See if there are updates for your graphics drivers https://support.mozilla.org/en-US/kb/upgrade-graphics-drivers-use-hardware-acceleration

Separate Issue; Your System Details shows; Installed Plug-ins Shockwave Flash 29.0 r0 Shockwave Flash 30.0 r0 <br>Having more than one version of a program may cause issues. You must remove the older programs. Then get the current full installer. Flash: Grab the uninstaller from here: http://helpx.adobe.com/flash-player/kb/uninstall-flash-player-windows.html Uninstall Flash Player | Windows http://helpx.adobe.com/flash-player/kb/uninstall-flash-player-mac-os.html Uninstall Flash Player | Mac Then reinstall the latest version. '''Note: Windows users''' should download the '''active_x''' for ''Internet Explorer.'' '''and''' the '''plugin''' for ''Plugin-based browsers'' (like Firefox). '''Note: Windows 8 and Windows 10''' have built-in flash players and Adobe will cause a conflict. Install the '''plugin only.''' Not the '''active_x.''' Flash Player '''Version 30.0.0.113''' https://get.adobe.com/flashplayer/ Direct link scans current system and browser '''Note: Other software''' is offered in the download. <Windows Only> https://get.adobe.com/flashplayer/otherversions/ Step 1: Select Operating System Step 2: Select A Version (Firefox, Win IE . . . .) '''Note: Other software''' is offered in the download. <Windows Only> ------------- See if there are updates for your graphics drivers https://support.mozilla.org/en-US/kb/upgrade-graphics-drivers-use-hardware-acceleration
FredMcD
  • Top 10 Contributor
4249 soluzioni 59438 risposte

There is security software like Avast, Kaspersky, BitDefender and ESET that intercept secure connections and send their own certificate.

https://support.mozilla.org/en-US/kb/firefox-cant-load-websites-other-browsers-can

https://support.mozilla.org/en-US/kb/firefox-and-other-browsers-cant-load-websites

https://support.mozilla.org/en-US/kb/secure-connection-failed-error-message

https://support.mozilla.org/en-US/kb/connection-untrusted-error-message

http://kb.mozillazine.org/Error_loading_websites


‘ssl_error_rx_record_too_long’ or ‘cannot display the webpage’ Internet search; More often than not, you have something misconfigured!

There is security software like Avast, Kaspersky, BitDefender and ESET that intercept secure connections and send their own certificate. https://support.mozilla.org/en-US/kb/firefox-cant-load-websites-other-browsers-can https://support.mozilla.org/en-US/kb/firefox-and-other-browsers-cant-load-websites https://support.mozilla.org/en-US/kb/secure-connection-failed-error-message https://support.mozilla.org/en-US/kb/connection-untrusted-error-message http://kb.mozillazine.org/Error_loading_websites ‘ssl_error_rx_record_too_long’ or ‘cannot display the webpage’ '''Internet search; ''' More often than not, you have something misconfigured!
cor-el
  • Top 10 Contributor
  • Moderator
17482 soluzioni 158006 risposte

Soluzione scelta

What security software do you have?

It is possible that your security software has a problem with TLS 1.3 that might have been enabled in your Firefox version. You can try to modify the value this pref from 4 to 3 on the about:config page.

  • security.tls.version.max = 3

You can open the about:config page via the location/address bar. You can accept the warning and click "I accept the risk!" to continue.

What security software do you have? It is possible that your security software has a problem with TLS 1.3 that might have been enabled in your Firefox version. You can try to modify the value this pref from 4 to 3 on the <b>about:config</b> page. *security.tls.version.max = 3 You can open the <b>about:config</b> page via the location/address bar. You can accept the warning and click "I accept the risk!" to continue. *http://kb.mozillazine.org/about:config
Anabadyo 0 soluzioni 25 risposte

It also happened to my Firefox. I did a refresh and then tried opening it. It didn't work for the first time but the second time it worked. Looks like it was just a faulty setting.

It also happened to my Firefox. I did a refresh and then tried opening it. It didn't work for the first time but the second time it worked. Looks like it was just a faulty setting.
Anabadyo 0 soluzioni 25 risposte

Hello,

The Refresh feature (called "Reset" in older Firefox versions) can fix many issues by restoring Firefox to its factory default state while saving your bookmarks, history, passwords, cookies, and other essential information.

Note: When you use this feature, you will lose any extensions, toolbar customizations, and some preferences. See the Refresh Firefox - reset add-ons and settings article for more information.

To Refresh Firefox:

  1. Open the Troubleshooting Information page using one of these methods:
    • Click the menu button New Fx Menu , click help Help-29 and select Troubleshooting Information. A new tab containing your troubleshooting information should open.
    • If you're unable to access the Help menu, type about:support in your address bar to bring up the Troubleshooting Information page.
  2. At the top right corner of the page, you should see a button that says "Refresh Firefox" ("Reset Firefox" in older Firefox versions). Click on it.
  3. Firefox will close. After the refresh process is completed, Firefox will show a window with the information that is imported.
  4. Click Finish and Firefox will reopen.

Did this fix the problem? Please report back to us!

Thank you.

Hello, The Refresh feature (called "Reset" in older Firefox versions) can fix many issues by restoring Firefox to its factory default state while saving your bookmarks, history, passwords, cookies, and other essential information. '''''Note:''' When you use this feature, you will lose any extensions, toolbar customizations, and some preferences.'' See the [[Refresh Firefox - reset add-ons and settings]] article for more information. To Refresh Firefox: # Open the Troubleshooting Information page using one of these methods: #*Click the menu button [[Image:New Fx Menu]], click help [[Image:Help-29]] and select ''Troubleshooting Information''. A new tab containing your troubleshooting information should open. #*If you're unable to access the Help menu, type '''about:support''' in your address bar to bring up the Troubleshooting Information page. #At the top right corner of the page, you should see a button that says "Refresh Firefox" ("Reset Firefox" in older Firefox versions). Click on it. #Firefox will close. After the refresh process is completed, Firefox will show a window with the information that is imported. #Click Finish and Firefox will reopen. Did this fix the problem? Please report back to us! Thank you.
AliceWyman
  • Moderator
240 soluzioni 2594 risposte

An update to Firefox was just released which can cause the Secure Connection Failed error. This is from the Firefox 61 release notes:


Users with Avast or AVG security software using the HTTPS Scanning feature may get an error message (SSL_ERROR_RX_RECORD_TOO_LONG) when trying to access secure sites. Workarounds are available from this support article until fixed versions of Avast and AVG are available.


The support article link goes to a section of the Secure connection failed and Firefox did not connect article, which explains how to turn off HTTPS scanning in the Web Shield component of Avast/AVG. For more information, see Managing HTTPS scanning in Web Shield in Avast Antivirus on the Avast support site.

An update to Firefox was just released which can cause the Secure Connection Failed error. This is from the [https://www.mozilla.org/firefox/61.0/releasenotes/ Firefox 61 release notes]: ----- Users with Avast or AVG security software using the HTTPS Scanning feature may get an error message (SSL_ERROR_RX_RECORD_TOO_LONG) when trying to access secure sites. Workarounds are available from [https://support.mozilla.org/en-US/kb/secure-connection-failed-error-message#w_avast-and-avg-security-products this support article] until fixed versions of Avast and AVG are available. ----- The support article link goes to a section of the [[Troubleshoot the "Secure Connection Failed" error message]] article, which explains how to turn off HTTPS scanning in the Web Shield component of Avast/AVG. For more information, see [https://support.avast.com/en-us/article/189/ Managing HTTPS scanning in Web Shield in Avast Antivirus] on the Avast support site.